# $Revision: 1.12 $, $Date: 2002/10/10 16:24:25 $
%include	/usr/lib/rpm/macros.php
%define		_class		Auth
%define		_pearname	%{_class}
Summary:	%{_pearname} - php pear authentication class
Summary(pl):	%{_pearname} - klasa dla php pear z klasami uwierzytelniajcymi
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::Auth package provides methods for creating an authentication
system using PHP.

%description -l pl
Pakiet PEAR::Auth dostarcza metody do stworzenia systemu
uwierzytelniania uywajcego PHP.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Container

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}
install %{_pearname}-%{version}/Container/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Container

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/README*
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Container/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Auth.spec,v $
Revision 1.12  2002/10/10 16:24:25  blues
- 1.1.1 - STBR

Revision 1.11  2002/08/13 19:35:58  blues
- simplifications

Revision 1.10  2002/07/21 13:42:19  ggodlewski
- some files were missing or in wrong directories

Revision 1.9  2002/07/12 15:11:44  blues
- cosmetic patch - change case of used class - dependencies are generated
  correctly now

Revision 1.8  2002/07/12 12:16:12  blues
- release 3 (rebuild with new rpm)

Revision 1.7  2002/07/02 16:22:23  blues
- release 2
- Req. php-pear, removed provides dir

Revision 1.6  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.5  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.4  2002/06/25 13:03:16  blues
- more macros

Revision 1.3  2002/06/24 11:31:17  qboosh
- BR: rpm-php-pearprov

Revision 1.2  2002/06/24 10:51:31  blues
- modified to use new rpm-automate

Revision 1.1  2002/05/23 15:01:48  blues
- Auth class for pear
